package capitulo05.bloque03.vehiculos;

public abstract class Vehiculo {
    private int velocidadActual;
    private String modelo;

    public abstract void acelerar();

    public abstract void frenar();



    public int getVelocidadActual() {
        return velocidadActual;
    }

    public void setVelocidadActual(int velocidadActual) {
        this.velocidadActual = velocidadActual;
    }

    public String getModelo() {
        return modelo;
    }

    public void setModelo(String modelo) {
        this.modelo = modelo;
    }

    @Override
    public String toString() {
        return "Vehiculo{" +
                "velocidadActual=" + velocidadActual +
                ", modelo='" + modelo + '\'' +
                '}';
    }
}
